ContentSummary (Hadoop 0.20.2-cdh3u4 API)
Date: 2012-05-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.fs
Class ContentSummary

    java.lang.Object
      org.apache.hadoop.fs.ContentSummary

All Implemented Interfaces:
  Writable

    public class ContentSummary

extends Object
implements Writable

Store the summary of a content (a directory or a file).

Constructor Summary
`ContentSummary()` Constructor
`ContentSummary(long length, long fileCount, long directoryCount)` Constructor
`ContentSummary(long length, long fileCount, long directoryCount, long quota, long spaceConsumed, long spaceQuota)` Constructor

Method Summary
`long` | `getDirectoryCount()`
`long` | `getFileCount()`
`static String` | `getHeader(boolean qOption)` Return the header of the output.
`long` | `getLength()`
`long` | `getQuota()` Return the directory quota
`long` | `getSpaceConsumed()` Retuns (disk) space consumed
`long` | `getSpaceQuota()` Returns (disk) space quota
`void` | `readFields(DataInput in)` Deserialize the fields of this object from `in`.
`String` | `toString()`
`String` | `toString(boolean qOption)` Return the string representation of the object in the output format.
`void` | `write(DataOutput out)` Serialize the fields of this object to `out`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContentSummary

    public ContentSummary()

  Constructor

### ContentSummary

    public ContentSummary(long length,
                          long fileCount,
                          long directoryCount)

  Constructor

### ContentSummary

    public ContentSummary(long length,
                          long fileCount,
                          long directoryCount,
                          long quota,
                          long spaceConsumed,
                          long spaceQuota)

  Constructor

Method Detail

### getLength

    public long getLength()

  Returns:
    the length

### getDirectoryCount

    public long getDirectoryCount()

  Returns:
    the directory count

### getFileCount

    public long getFileCount()

  Returns:
    the file count

### getQuota

    public long getQuota()

  Return the directory quota

### getSpaceConsumed

    public long getSpaceConsumed()

  Retuns (disk) space consumed

### getSpaceQuota

    public long getSpaceQuota()

  Returns (disk) space quota

### write

    public void write(DataOutput out)
               throws IOException

  Serialize the fields of this object to `out`.

  Specified by:
    `write` in interface `Writable`
  Parameters:
    `out` - `DataOuput` to serialize this object into.
  Throws:
    `IOException`

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Deserialize the fields of this object from `in`.

  For efficiency, implementations should attempt to re-use storage in the existing object where possible.

  Specified by:
    `readFields` in interface `Writable`
  Parameters:
    `in` - `DataInput` to deseriablize this object from.
  Throws:
    `IOException`

### getHeader

    public static String getHeader(boolean qOption)

  Return the header of the output. if qOption is false, output directory count, file count, and content size; if qOption is true, output quota and remaining quota as well.

  Parameters:
    `qOption` - a flag indicating if quota needs to be printed or not
  Returns:
    the header of the output

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toString

    public String toString(boolean qOption)

  Return the string representation of the object in the output format. if qOption is false, output directory count, file count, and content size; if qOption is true, output quota and remaining quota as well.

  Parameters:
    `qOption` - a flag indicating if quota needs to be printed or not
  Returns:
    the string representation of the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation